<?php
/**
 * @author Kyle Cunningham
 *
 * This file is copyright Kyle Cunningham and is licesned under the GNU GPL v2.
 * See LICENSE.txt for further licensing details.
 */

/**
 * @file comment-folded.tpl.php
 * Default theme implementation for folded comments.
 *
 * Available variables:
 * - $aname: Name anchor as link fragment.
 * - $title: Linked title to full comment.
 * - $new: New comment marker.
 * - $author: Comment author. Can be link or plain text.
 * - $date: Date and time of posting.
 * - $comment: Full comment object.
 * - $score: The score of the comment
 * - $url: Permanent link of the comment
 * - $promote_control: The link for promoting the comment.
 * - $bury_control: The link for burying the comment.
 *
 * @see template_preprocess_comment_folded()
 * @see theme_comment_folded()
 */
?>
<div id="<?php print $aname; ?>">
  <div class="comment-folded">

    <span class="comment-folded-subject"><?php print check_markup($title) .' '. $new; ?></span>
    <noscript>  Aufklappen braucht JavaScript  </noscript>
    <div class="comment-folded-url-div">
      <span class="comment-folded-url"><?php print $url; ?></span>
    </div>

  </div>
</div>


