/**
 * @author Kyle Cunningham
 * This file is copyright Kyle Cunningham and is licesned under the GNU GPL v2.
 * See LICENSE.txt for further licensing details.
 */

var comments = [];
var lastcomment = null;


if (Drupal.jsEnabled) {
  $(function() {
    unfoldComment();
  });
  $(function() {
    foldComment();
  });
}


function unfoldComment() {
  $('.comment-folded .comment-folded-subject a').click(function(){

    lastcomment = this;

    // String processing to get the comment ID
    var path = [];
    path = this.href.split('/')

    // Retrieve the last section of the path
    var pathstring = path[path.length - 1];

    // path[0] will now contain the comment ID
    path = pathstring.split('#');

    // Do the JSON call to the correct path
    $.getJSON(Drupal.settings.basePath + 'view-comment/unfold/' + path[0], {}, moderationDisplayCommentUnfold);

    return false;
  });
}


function moderationDisplayCommentUnfold(data, textStatus) {
  $(lastcomment).parents('.comment-folded').hide().replaceWith(data.comment);
  setModerationEvents(); // refresh events for moderating comments
  foldComment(); // refresh fold event
  Drupal.behaviors.flagLink(lastcomment);
}


function foldComment() {
  $('.comment-unfolded .comment-unfolded-subject a').click(function(){

    lastcomment = this;

    // String processing to get the comment ID
    var path = [];
    path = this.href.split('/')

    // Retrieve the last section of the path
    var pathstring = path[path.length - 1];

    // path[0] will now contain the comment ID
    path = pathstring.split('#');

    // Do the JSON call to the correct path
    $.getJSON(Drupal.settings.basePath + 'view-comment/fold/' + path[0], {}, moderationDisplayCommentFold);

    return false;
  });
}


function moderationDisplayCommentFold(data, textStatus) {
  $(lastcomment).parents('.comment-unfolded').hide().replaceWith(data.comment);
  unfoldComment(); // refresh unfold event
}