/**
 * @author Kyle Cunningham
 * This file is copyright Kyle Cunningham and is licesned under the GNU GPL v2.
 * See LICENSE.txt for further licensing details.
 */

// Keep track of the last action we have clicked on
var lastaction = null;

if (Drupal.jsEnabled) {
  $(function(){
    setModerationEvents();
  });
}

function setModerationEvents() {
  // Select moderation voting links
  $('.comment-moderation-vote-js').click(function(){
    // Make a JSON call to voting path
    $.getJSON(this.href, {}, moderationUpdateVotes);

    // Fade in the voting indicator
    $(this).siblings('.voting').css({display: 'inline'}).fadeIn('slow');

    // Set the last transaction
    lastaction = this;
    return false;
  }).after('<div class="voting" style="display:none; margin-left: 3px;">&nbsp;moderating...</div>');
 
  $('.comment-bar').dblclick(function(){
    $(this).siblings().toggle('slow');
  });
}


function moderationUpdateVotes(data, textStatus) {
  $(lastaction).siblings('.voting').fadeOut('slow');
  $(lastaction).parents('.comment-unfolded').css({border: '1px solid red'}).before(data.status);
}
